javax.faces.view.facelets

## Class ConverterHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler
      - - javax.faces.view.facelets.FaceletsAttachedObjectHandler
        - - javax.faces.view.facelets.ConverterHandler

- All Implemented Interfaces:
    AttachedObjectHandler, FaceletHandler, ValueHolderAttachedObjectHandler

      public class ConverterHandler
      extends FaceletsAttachedObjectHandler
      implements ValueHolderAttachedObjectHandler

  Handles setting a `Converter` instance on a `ValueHolder` parent. Will wire all attributes set to the `Converter` instance created/fetched. Uses the "binding" attribute for grabbing instances to apply attributes to.

  Will only set/create `Converter` if the passed `UIComponent`'s `parent` is `null`, signifying that it wasn't restored from an existing tree.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConverterHandler(ConverterConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConverterId(FaceletContext ctx)`
    `protected TagHandlerDelegate` | `getTagHandlerDelegate()`

    - ### Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler

      `applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

    - ### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `apply, applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.view.AttachedObjectHandler

      `applyAttachedObject, getFor`

- - ### Constructor Detail

    - #### ConverterHandler

          public ConverterHandler(ConverterConfig config)

  - ### Method Detail

    - #### getTagHandlerDelegate

          protected TagHandlerDelegate getTagHandlerDelegate()

      Specified by:
        `getTagHandlerDelegate` in class `DelegatingMetaTagHandler`

    - #### getConverterId

          public String getConverterId(FaceletContext ctx)

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.